=== modified file 'bzrlib/tests/blackbox/test_info.py'
--- bzrlib/tests/blackbox/test_info.py	2007-11-26 13:55:51 +0000
+++ bzrlib/tests/blackbox/test_info.py	2007-12-15 18:33:10 +0000
@@ -1146,12 +1146,15 @@
             except errors.PathNotChild:
                 return path
 
-        if tree_locked and sys.platform == 'win32':
-            # We expect this to fail because of locking errors. (A write-locked
-            # file cannot be read-locked in the same process).
+        if tree_locked:
+            # We expect this to fail because of locking errors.
+            # (A write-locked file cannot be read-locked
+            # in the different process -- either on win32 or on linux).
             # This should be removed when the locking errors are fixed.
-            self.run_bzr_error([], 'info ' + command_string)
-            return
+            self.expectFailure('OS locks are exclusive '
+                'for different processes (Bug #174055)',
+                self.run_bzr_subprocess,
+                'info ' + command_string)
         out, err = self.run_bzr('info %s' % command_string)
         description = {
             (True, True): 'Lightweight checkout',

